Subject: Re: bug#66554: [PATCH] Add the public API of Compat to the core

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jan 2024 22:05:32 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: Philip Kaludercic <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 12 Jan 2024 19:40:38 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I guess I'm misunderstanding something.  The scenario that I have in
> > mind is this:
> >
> >   . we bump Emacs version to NN.1.90 as part of pretesting version NN.2
> >   . as part of the pretest, some function changes that requires
> >     addition or change in compat.el
> >   . compat.el still claims version NN.1, although it includes changes
> >     not present in Emacs NN.1
> >
> > Did I succeed in explaining my worries?
> 
> I hope I understood your reasoning correctly. Shortly after you bump
> NN.1.90 we can release compat-NN.2.0 which will include the necessary
> change.

Release where? on ELPA or as part of the Emacs tarball?

And how do we make sure we will not forget to release this new version
of compat.el?